Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::MSXML_DOMNode Class Reference

XML node as represented by msxml. More...

`#include <MSXML_DOMDocument.h>`

Inheritance diagram for FIX::MSXML_DOMNode:
[legend]
Collaboration diagram for FIX::MSXML_DOMNode:
[legend]

List of all members.

## Public Member Functions

| MSXML_DOMNode (MSXML2::IXMLDOMNode *pNode)
| ~MSXML_DOMNode ()
DOMNodePtr | getFirstChildNode ()
DOMNodePtr | getNextSiblingNode ()
DOMAttributesPtr | getAttributes ()
std::string | getName ()
std::string | getText ()

## Private Attributes

MSXML2::IXMLDOMNode * | m_pNode

## Detailed Description

XML node as represented by msxml.

Definition at line 53 of file MSXML_DOMDocument.h.

## Constructor & Destructor Documentation

FIX::MSXML_DOMNode::MSXML_DOMNode | ( | MSXML2::IXMLDOMNode * | pNode | ) | `[inline]`

Definition at line 56 of file MSXML_DOMDocument.h.

    00057     : m_pNode( pNode ) {}

FIX::MSXML_DOMNode::~MSXML_DOMNode | ( |  | ) |

## Member Function Documentation

DOMAttributesPtr FIX::MSXML_DOMNode::getAttributes | ( |  | ) | `[virtual]`

Implements FIX::DOMNode.

DOMNodePtr FIX::MSXML_DOMNode::getFirstChildNode | ( |  | ) | `[virtual]`

Implements FIX::DOMNode.

std::string FIX::MSXML_DOMNode::getName | ( |  | ) | `[virtual]`

Implements FIX::DOMNode.

DOMNodePtr FIX::MSXML_DOMNode::getNextSiblingNode | ( |  | ) | `[virtual]`

Implements FIX::DOMNode.

std::string FIX::MSXML_DOMNode::getText | ( |  | ) | `[virtual]`

Implements FIX::DOMNode.

## Member Data Documentation

MSXML2::IXMLDOMNode* FIX::MSXML_DOMNode::m_pNode`[private]`

Definition at line 68 of file MSXML_DOMDocument.h.

The documentation for this class was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/MSXML_DOMDocument.h